## gate.gui
Class DocumentEditor.CustomStyledViewFactory

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.CustomStyledViewFactory

All Implemented Interfaces:
  ViewFactory

Enclosing class:
  DocumentEditor

public class DocumentEditor.CustomStyledViewFactory
extends Object
implements ViewFactory

Fixes the 4406598 bug in swing text components. The bug consists in the fact that the Background attribute is ignored by the text component whent it is defined in a style from which the current style inherits.

Constructor Summary
`DocumentEditor.CustomStyledViewFactory()`

Method Summary
`View` `create(Element elem)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentEditor.CustomStyledViewFactory

    public DocumentEditor.CustomStyledViewFactory()

Method Detail

### create

    public View create(Element elem)

  Specified by:
    `create` in interface `ViewFactory`